aboutsummaryrefslogtreecommitdiff
path: root/multimedia/streamtuner/streamtuner.SlackBuild
diff options
context:
space:
mode:
authorFrank Caraballo <fecaraballo[AT]gmail.com>2010-05-11 19:45:44 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 19:45:44 +0200
commit38cadd7ce978d94a2dd49a05eeb3f37ebfa3760a (patch)
tree72ade8b43bce5fcf927aa2e30f786ee617ecd05d /multimedia/streamtuner/streamtuner.SlackBuild
parent0a30b27c34c7f44c99f51d8189cc625dfa27bdb4 (diff)
multimedia/streamtuner: Updated for version 0.99.99
Diffstat (limited to 'multimedia/streamtuner/streamtuner.SlackBuild')
-rw-r--r--multimedia/streamtuner/streamtuner.SlackBuild22
1 files changed, 6 insertions, 16 deletions
diff --git a/multimedia/streamtuner/streamtuner.SlackBuild b/multimedia/streamtuner/streamtuner.SlackBuild
index 02217217539e0..58b99b4fc15ff 100644
--- a/multimedia/streamtuner/streamtuner.SlackBuild
+++ b/multimedia/streamtuner/streamtuner.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for streamtuner
-# Copyright 2007 MagicMan <MagicMan07@bluebottle.com>
+# Copyright 2007 Frank Caraballo <fecaraballo[AT]gmail.com
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,17 +24,12 @@
# Modified by the SlackBuilds.org project
-if [ "$(id -u)" != "0" ]; then
- echo "This script must be run as root!"
- exit 1
-fi
-
PRGNAM=streamtuner
VERSION=0.99.99
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -53,13 +48,12 @@ cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
tar -xvf $CWD/$PRGNAM-$VERSION.tar.* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
-# Apply streamtuner-0.99.99-live365.diff patch:
-cat $CWD/$PRGNAM-$VERSION-live365.diff | patch -p0 --verbose || exit 1
-
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Apply streamtuner-0.99.99-live365.diff patch:
+patch -p0 < $CWD/$PRGNAM-$VERSION-live365.diff || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -77,16 +71,12 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Create link to html docs:
( cd $PKG/usr/doc/$PRGNAM-$VERSION
- ln -s ../../share/gtk-doc/html/$PRGNAM html
+ ln -s /usr/share/gtk-doc/html/$PRGNAM html
)
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Fix path to icon in desktop file:
-sed -i 's#^Icon=\(.\+\)$#Icon=/usr/share/pixmaps/\1#' \
- $PKG/usr/share/applications/$PRGNAM.desktop || exit 1
-
cd $PKG
/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz